%define major   8
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           aquamarine
Version:        0.9.2
Release:        %mkrel 1
Summary:        A very light linux rendering backend library
License:        BSD-3-Clause
Group:          System/Libraries
URL:            https://github.com/hyprwm/aquamarine
Source0:        https://github.com/hyprwm/aquamarine/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(opengl)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(hwdata)
BuildRequires:  pkgconfig(hyprutils)
BuildRequires:  pkgconfig(hyprwayland-scanner)
BuildRequires:  pkgconfig(libdisplay-info)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(libseat)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)

%description
Aquamarine is a very light linux rendering backend library. 
It provides basic abstractions for an application to render on a Wayland session (in a window) or a native DRM session.
It is agnostic of the rendering API (Vulkan/OpenGL) and designed to be lightweight, performant, and minimal.
Aquamarine provides no bindings for other languages. It is C++-only.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the shared library files.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%doc README.md docs/env.md
%{_libdir}/lib%{name}.so.%{version}
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Jul 27 2025 daviddavid <daviddavid> 0.9.2-1.mga10
+ Revision: 2260692
- new version: 0.9.2
- now libmajor is 8

* Wed Jun 04 2025 daviddavid <daviddavid> 0.8.0-1.mga10
+ Revision: 2188128
- new version: 0.8.0
- now libmajor is 7

* Tue Nov 19 2024 daviddavid <daviddavid> 0.5.0-1.mga10
+ Revision: 2117759
- new version: 0.5.0
- now libmajor is 4

* Thu Nov 14 2024 daviddavid <daviddavid> 0.4.4-1.mga10
+ Revision: 2115125
- new version: 0.4.4

* Thu Oct 17 2024 daviddavid <daviddavid> 0.4.3-1.mga10
+ Revision: 2107662
- new version: 0.4.3

* Wed Oct 09 2024 daviddavid <daviddavid> 0.4.2-1.mga10
+ Revision: 2104199
- new version: 0.4.2

* Tue Sep 10 2024 daviddavid <daviddavid> 0.4.1-1.mga10
+ Revision: 2094801
- new version: 0.4.1

* Tue Sep 03 2024 daviddavid <daviddavid> 0.4.0-1.mga10
+ Revision: 2092910
- new version: 0.4.0

* Mon Aug 19 2024 daviddavid <daviddavid> 0.3.3-1.mga10
+ Revision: 2087065
- new version: 0.3.3

* Sun Aug 18 2024 daviddavid <daviddavid> 0.3.2-1.mga10
+ Revision: 2086963
- initial package aquamarine

